## org.apache.felix.obrplugin
Class XmlHelper

    java.lang.Object
      org.apache.felix.obrplugin.XmlHelper

    public class XmlHelper

extends java.lang.Object

Provide XML helper methods to support pre-Java5 runtimes

Author:
  Felix Project Team

Constructor Summary
`XmlHelper()`

Method Summary
`static java.lang.String` `getTextContent(org.w3c.dom.Node node)` based on public Java5 javadoc of org.w3c.dom.Node.getTextContent method
`static void` `setTextContent(org.w3c.dom.Node node, java.lang.String text)` based on public Java5 javadoc of org.w3c.dom.Node.setTextContent method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlHelper

    public XmlHelper()

Method Detail

### getTextContent

    public static java.lang.String getTextContent(org.w3c.dom.Node node)

  based on public Java5 javadoc of org.w3c.dom.Node.getTextContent method

### setTextContent

    public static void setTextContent(org.w3c.dom.Node node,
                                      java.lang.String text)

  based on public Java5 javadoc of org.w3c.dom.Node.setTextContent method

Copyright © 2011. All Rights Reserved.